### Function

# Gdk.content_serialize_async

#### Declaration [src]

    void
    gdk_content_serialize_async (
      GOutputStream* stream,
      const char* mime_type,
      const GValue* value,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Serialize content and write it to the given output stream, asynchronously.

The default I/O priority is `G_PRIORITY_DEFAULT` (i.e. 0), and lower numbers indicate a higher priority.

When the operation is finished, `callback` will be called. You must then call `gdk_content_serialize_finish()` to get the result of the operation.

#### Parameters

`stream` | `GOutputStream*`
| a `GOutputStream` to write the serialized content to
| Ownership is not transferred to the callee
`mime_type` | `const char*`
| the mime type to serialize to
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`value` | `const GValue*`
| the content to serialize
| Ownership is not transferred to the callee
`io_priority` | `int`
| the I/O priority of the operation
`cancellable` | `GCancellable*`
| optional `GCancellable` object
| Can be `NULL`
| Ownership is not transferred to the callee
`callback` | `GAsyncReadyCallback`
| callback to call when the operation is done
`user_data` | `gpointer`
| data to pass to the callback function